/****************************************************************************
*
*     Firefly X10 Linux Kernel driver
*     File:    X10Code.h
*     Version: 1.0
*     Copyright 2003 Heber Limited (http://www.heber.co.uk)
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License as published by the
*     Free Software Foundation; either version 2, or (at your option) any
*     later version.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*     General Public License for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     675 Mass Ave, Cambridge, MA 02139, USA.
*
*     Changes:
*     1.0 MJB       First version, 30/9/2003
*
****************************************************************************/

#ifndef X10CODE_H
#define X10CODE_H
#include <linux/ioctl.h>
#define MAX_FILE_NAME 128 
#define MAX_FILE_SIZE (64 * 1024)
#define MAX_INTEL_HEX_RECORD_LENGTH 16

typedef struct _INTEL_HEX_RECORD
{
   unsigned char  Length;
   unsigned short  Address;
   unsigned char  Type;
   unsigned char  Data[MAX_INTEL_HEX_RECORD_LENGTH];
} INTEL_HEX_RECORD, *PINTEL_HEX_RECORD;


typedef struct _X10_COMMAND
{
	int CommandpipeNum;
	int AnswerpipeNum;
	int CommandLength;
	int AnswerLength;
	char   Buffer[128];
}X10_COMMAND, *PX10_COMMAND;

#define X10_IOC_MAGIC 0x81

#define IOCTL_X10_COMMAND _IOWR(X10_IOC_MAGIC,0,X10_COMMAND)

#endif
