/*****************************************************************
*
*     Project:      Firefly X10 Board
*
*     File:         x10eeprom.h
*
*     Version:      1.0
*
*     Description:  Definitions relating specifically to the
*                   onboard EEPROM.
*
*     Changes:
*     1.0 MJB       First version, 10/6/2003
*
*****************************************************************/

/********    Header Sentry    ********/
#ifndef X10EEPROM_H
#define X10EEPROM_H

typedef struct
{
	BYTE pageSize;								// EEPROM page size
	BYTE numAddressBytes;						// Number of EEPROM address bytes (either 1 or 2)
	WORD maxAddress;							// Maximum EEPROM address (e.g. EEPROM size in bytes)
	BYTE i2cAddress;							// EEPROM I2C Address
} X10EEPROM;

#endif

