/***************************************************************************
*
*     Project:      Firefly X10 Board
*
*     File:         x10err.h
*
*     Version:      1.0
*
*     Description:  Error code definitions
*
*     Changes:
*     1.0 MJB       First version, 14/03/2003
*
***************************************************************************/

/********    Header Sentry    ********/
#ifndef X10ERR_H
#define X10ERR_H

typedef enum _usbErrorCode
{
    USB_MESSAGE_EXECUTION_SUCCESS =0,		// 0
    USB_MESSAGE_NOT_RECOGNISED,			// 1
    USB_MESSAGE_LENGTH_ERROR,			// 2
    USB_MESSAGE_EXECUTION_FAILURE,		// 3
    USB_DEVICE_WRITE_ERROR,			// 4
    USB_DEVICE_READ_ERROR,			// 5
    USB_DEVICE_RESPONSE_ERROR,			// 6
    USB_DEVICE_BYTE_COUNT_ERROR,		// 7
    USB_MESSAGE_PARAMETER_OUT_OF_RANGE,		// 8
    USB_MESSAGE_UNKNOWN_HANDSHAKE_MODE,		// 9
    USB_MESSAGE_ILLEGAL_BAUD_RATE,		// 10
    USB_MESSAGE_UNKNOWN_SERIAL_PROTOCOL,	// 11
    USB_MESSAGE_I2C_NACK,			// 12
    USB_MESSAGE_I2C_ERROR,			// 13
    USB_MESSAGE_EXECUTION_TIMEOUT,		// 14
    USB_MESSAGE_SRAM_ADDRESSING_ERROR,		// 15
    USB_MESSAGE_REEL_NUMBER_ERROR,		// 16
    USB_MESSAGE_REEL_BUSY,			// 17
    USB_MESSAGE_SPIN_TABLE_LENGTH_ERROR,	// 18
    USB_MESSAGE_TOO_FEW_REEL_STEPS,		// 19
    USB_MESSAGE_REEL_STATUS_LENGTH_ERROR,	// 20
    USB_MESSAGE_SYNC_REQUEST_LENGTH_ERROR,	// 21
    USB_MESSAGE_PIPE_UNAVAILABLE            	// 22
} usbErrorCode;

#endif
