/*****************************************************************
*
*     Project:      Firefly X10 Board
*
*     File:         x10errhd.c
*
*     Version:      1.0
*
*     Description:  Exit function code which is shared between
*                   all X10 console demos.
*
*     Changes:
*     1.0 MJB       First version, 24/9/2003
*
*****************************************************************/

#include "fflyusb.h"

int ExitFunction( char *message, FireFlyUSB *FireFly, int retCode )
{
	printf( "%s\n", message );
	if ( FireFly->GetLastError( ) != USB_MESSAGE_EXECUTION_SUCCESS )
	{
		printf( "X10 Error Code: %d\n", (int)FireFly->GetLastError( ) );
	}

	// Close device.
	if ( !FireFly->close( ) )
	{
		printf( "\nError closing device - %d.\n\n", (int)FireFly->GetLastError( ) );
	}

	#ifdef X10_LINUX_BUILD
	CloseConsole( );
	#endif

	return( retCode );
}

